﻿using UnityEngine;
using System.Collections;

[System.Serializable]
public class Instantiatable{

	public Transform prefab;
	public Vector3 location;
	public Vector3 rotation;
	public string customName;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public Transform instantiate(){
		Transform t = (Transform) GameObject.Instantiate(prefab, location, Quaternion.Euler(rotation));
		if(customName != "") t.gameObject.name = customName;
		return t;
	}
}
