﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class InstantiateList : MonoBehaviour {

	public List<Instantiatable> prefabs;
	public bool instantiateOnCreation;
	public bool holdForDestruction;
	private List<Transform> destroyables;

	// Use this for initialization
	void Start () {
		//if(holdForDestruction && destroyables == null) destroyables = new List<Transform>();
		//if(instantiateOnCreation){
		//	instantiateAll();
		//	if(!holdForDestruction) Destroy(this.gameObject);
		//}
	}
	
	// Update is called once per frame
	void Update () {
	}

	public void instantiateAll(){
		if(holdForDestruction && destroyables == null) destroyables = new List<Transform>();
		foreach(Instantiatable i in prefabs){
			Transform t = i.instantiate();
			if(holdForDestruction){ destroyables.Add(t);}
			//else{i.instantiate();};
		}
		//if(!holdForDestruction) Destroy(this.gameObject);
		//print ("holding? " + destroyables.Count);
	}

	public void destroyAll(){
		foreach(Transform obj in destroyables){
			if(obj != null) Destroy(obj.gameObject);

		}
		//print ("destroying? " + destroyables.Count);
		/*for(int i = 0; i < destroyables.Count; i++){

			Destroy(destroyables[i]);
		}*/
		//Destroy(this.gameObject);
	}
}
