﻿using UnityEngine;
using System.Collections;

public class KeepRelativeHeight : MonoBehaviour {

	public string targetSearchString = "Player";

	private float _heightDifference;
	public float heightDifference{
		get{return _heightDifference;}
		set{_heightDifference = value;}
	}
	
	public Transform targetObject;

	// Use this for initialization
	void Start () {

	}
	
	// Update is called once per frame
	void Update () {
		//if(GameManager.gameRunning()){
			if(targetObject == null) findTargetObject();
			if(targetObject != null) transform.position = new Vector3(transform.position.x, targetObject.transform.position.y + _heightDifference, transform.position.z);
		//}
	}

	private bool findTargetObject(){
		if(targetObject == null){
			GameObject targetGameObject = GameObject.Find(targetSearchString);
			if(targetGameObject != null){
				targetObject = targetGameObject.transform;
			} else { //i tried
				return false;
			}
			heightDifference = transform.position.y - targetObject.transform.position.y;
			return true;
		}
		return false;
		//if(targetObject != null) _heightDifference = transform.position.y - targetObject.transform.position.y; //if we haven't found it yet, we'll try again later
	}
}
