﻿using UnityEngine;
using System.Collections;

public class PickupScript : MonoBehaviour {

	public enum PickupType{Health, Jump, Speed, Slow}

	public PickupType type;
	public Transform destroySound;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter(Collider other){
		//print ("trigger");
		if(other.GetComponent<LavaScript>() != null || other.transform.parent.GetComponent<LavaScript>() != null){
			Destroy(gameObject);
			if(destroySound != null) Instantiate(destroySound, transform.position, transform.rotation);
		}
	}
}
