﻿using UnityEngine;
using System.Collections;

[RequireComponent (typeof(AudioSource))]
public class SoundScript : MonoBehaviour {

	AudioSource source;

	// Use this for initialization
	void Start () {
		if(source == null) getSource();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void getSource(){
		source = GetComponent<AudioSource>();
	}

	public void play(){
		if(source == null) getSource();
		source.Play();
	}

	public void pause(){
		if(source == null) getSource();
		source.Pause();
	}

	public void loop(bool looping){
		if(source == null) getSource();
		source.loop = looping;
	}

	public void stop(){
		if(source == null) getSource();
		source.Stop();
	}

	public void volume(float volume){
		source.volume = volume;
	}
}
