﻿using UnityEngine;
using System.Collections;

public class LavaScript : MonoBehaviour {

	public float riseRate = 0.25f;
	public float riseRateIncreaseRate = .004f;
	public float startLevel = .25f;
	private float currentLevel;

	public Transform lavaBox;
	private static LavaScript instance;

	//public Transform lavaBox;

	// Use this for initialization
	void Start () {
		instance = this;
		currentLevel = startLevel;
	}
	
	// Update is called once per frame
	void Update () {
		if(GameManager.gameRunning()){
			currentLevel += riseRate * Time.deltaTime;
			riseRate *= 1 + (riseRateIncreaseRate * Time.deltaTime);

			transform.localScale = new Vector3(transform.localScale.x, currentLevel, transform.localScale.z);
		}
	}

	public static float lavaLevel(){
		return instance.lavaBox.collider.bounds.max.y;
	}
}
